#!/bin/sh

if [ "$1" = "clean" ]; then
  if [ -f "Makefile" ]; then
    make maintainer-clean
  fi

  rm -f aclocal.m4 configure missing install-sh \
        depcomp ltmain.sh config.guess config.sub \
        config.h.in `find . -name Makefile.in` compile
  rm -rf autom4te.cache
  exit
fi

srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.

ORIGDIR=`pwd`
cd $srcdir

autoreconf -v --install || exit 1
cd $ORIGDIR || exit $?

$srcdir/configure "$@"
